Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class DelaunayTriangulationBuilder

    java.lang.Object
      com.vividsolutions.jts.triangulate.DelaunayTriangulationBuilder

    public class DelaunayTriangulationBuilder

extends java.lang.Object

A utility class which creates Delaunay Trianglulations from collections of points and extract the resulting triangulation edges or triangles as geometries.

Author:
  Martin Davis

Constructor Summary
`DelaunayTriangulationBuilder()` Creates a new triangulation builder.

Method Summary
`static Envelope` | `envelope(java.util.Collection coords)` Computes the `Envelope` of a collection of `Coordinate`s.
`static CoordinateList` | `extractUniqueCoordinates(Geometry geom)` Extracts the unique `Coordinate`s from the given `Geometry`.
`Geometry` | `getEdges(GeometryFactory geomFact)` Gets the edges of the computed triangulation as a `MultiLineString`.
`QuadEdgeSubdivision` | `getSubdivision()` Gets the `QuadEdgeSubdivision` which models the computed triangulation.
`Geometry` | `getTriangles(GeometryFactory geomFact)` Gets the faces of the computed triangulation as a `GeometryCollection` of `Polygon`.
`void` | `setSites(java.util.Collection coords)` Sets the sites (point or vertices) which will be triangulated from a collection of `Coordinate`s.
`void` | `setSites(Geometry geom)` Sets the sites (point or vertices) which will be triangulated.
`void` | `setTolerance(double tolerance)` Sets the snapping tolerance which will be used to improved the robustness of the triangulation computation.
`static java.util.List` | `toVertices(java.util.Collection coords)` Converts all `Coordinate`s in a collection to `Vertex`es.
`static CoordinateList` | `unique(Coordinate[] coords)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelaunayTriangulationBuilder

    public DelaunayTriangulationBuilder()

  Creates a new triangulation builder.

Method Detail

### extractUniqueCoordinates

    public static CoordinateList extractUniqueCoordinates(Geometry geom)

  Extracts the unique `Coordinate`s from the given `Geometry`.

  Parameters:
    `geom` - the geometry to extract from
  Returns:
    a List of the unique Coordinates

### unique

    public static CoordinateList unique(Coordinate[] coords)

### toVertices

    public static java.util.List toVertices(java.util.Collection coords)

  Converts all `Coordinate`s in a collection to `Vertex`es.

  Parameters:
    `coords` - the coordinates to convert
  Returns:
    a List of Vertex objects

### envelope

    public static Envelope envelope(java.util.Collection coords)

  Computes the `Envelope` of a collection of `Coordinate`s.

  Parameters:
    `coords` - a List of Coordinates
  Returns:
    the envelope of the set of coordinates

### setSites

    public void setSites(Geometry geom)

  Sets the sites (point or vertices) which will be triangulated. All vertices of the given geometry will be used as sites.

  Parameters:
    `geom` - the geometry from which the sites will be extracted.

### setSites

    public void setSites(java.util.Collection coords)

  Sets the sites (point or vertices) which will be triangulated from a collection of `Coordinate`s.

  Parameters:
    `geom` - a collection of Coordinates.

### setTolerance

    public void setTolerance(double tolerance)

  Sets the snapping tolerance which will be used to improved the robustness of the triangulation computation. A tolerance of 0.0 specifies that no snapping will take place.

  Parameters:
    `tolerance` - the tolerance distance to use

### getSubdivision

    public QuadEdgeSubdivision getSubdivision()

  Gets the `QuadEdgeSubdivision` which models the computed triangulation.

  Returns:
    the subdivision containing the triangulation

### getEdges

    public Geometry getEdges(GeometryFactory geomFact)

  Gets the edges of the computed triangulation as a `MultiLineString`.

  Parameters:
    `geomFact` - the geometry factory to use to create the output
  Returns:
    the edges of the triangulation

### getTriangles

    public Geometry getTriangles(GeometryFactory geomFact)

  Gets the faces of the computed triangulation as a `GeometryCollection` of `Polygon`.

  Parameters:
    `geomFact` - the geometry factory to use to create the output
  Returns:
    the faces of the triangulation

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD